gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.UnixMountEntry

Contents

- Exported types
- Methods
  - Overloaded methods

Description

Defines a Unix mount entry (e.g. <filename>/media/cdrom</filename>). This corresponds roughly to a mtab entry.

Synopsis

- newtype UnixMountEntry = UnixMountEntry (ManagedPtr UnixMountEntry)

# Exported types

newtype UnixMountEntry Source #

Memory-managed wrapper type.

Constructors

UnixMountEntry (ManagedPtr UnixMountEntry) |

#### Instances

Instances details

Eq UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods (==) :: UnixMountEntry -> UnixMountEntry -> Bool # (/=) :: UnixMountEntry -> UnixMountEntry -> Bool #
GBoxed UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry
TypedObject UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods glibType :: IO GType Source #
ManagedPtrNewtype UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods toManagedPtr :: UnixMountEntry -> ManagedPtr UnixMountEntry Source #
IsGValue UnixMountEntry Source # | Convert `UnixMountEntry` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods toGValue :: UnixMountEntry -> IO GValue Source # fromGValue :: GValue -> IO UnixMountEntry Source #
HasParentTypes UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry
type ParentTypes UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry type ParentTypes UnixMountEntry = '[] :: [Type]

# Methods

## Overloaded methods